Get Purchase History
curl --request GET \
--url https://api.example.com/api/billing/sms/purchases/history/import requests
url = "https://api.example.com/api/billing/sms/purchases/history/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/billing/sms/purchases/history/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 10,
"next": null,
"previous": null,
"results": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"package_name": "Starter Package",
"sms_count": 1000,
"price": 50.00,
"currency": "USD",
"status": "completed",
"purchased_at": "2025-11-01T10:00:00Z"
}
]
}
Billing & Payments
Get Purchase History
GET
/
api
/
billing
/
sms
/
purchases
/
history
/
Get Purchase History
Get history of SMS package purchases.
integer
Page number (default: 1)
integer
Items per page (default: 20, max: 100)
string
Filter by status (pending, completed, failed)
Requires authentication. Include the access token in the Authorization header.
Success Response (200)
integer
Total number of purchases
string
URL to next page (nullable)
string
URL to previous page (nullable)
array
Array of purchase objects
string
Purchase ID
string
Package name
integer
Number of SMS credits purchased
float
Purchase price
string
Currency code
string
Purchase status
string
Purchase timestamp (ISO 8601)
{
"count": 10,
"next": null,
"previous": null,
"results": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"package_name": "Starter Package",
"sms_count": 1000,
"price": 50.00,
"currency": "USD",
"status": "completed",
"purchased_at": "2025-11-01T10:00:00Z"
}
]
}
⌘I